List Wallets
curl --request GET \
--url https://api.beta.getpara.com/v1/wallets \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.beta.getpara.com/v1/wallets"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.beta.getpara.com/v1/wallets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "0a1b2c3d-4e5f-6789-abcd-ef0123456789",
"type": "EVM",
"scheme": "DKLS",
"status": "creating",
"createdAt": "2024-01-15T09:30:00Z",
"address": "0x742d35Cc6634C0532925a3b844Bc9e7595f...",
"publicKey": "<string>",
"userIdentifier": "alice@example.com",
"userIdentifierType": "EMAIL"
}
],
"pagination": {
"cursor": "<string>",
"hasMore": true,
"limit": 50
}
}{
"code": "INVALID_REQUEST",
"message": "type must be one of EVM, SOLANA, COSMOS, STELLAR, SUI"
}{
"code": "UNAUTHORIZED",
"message": "secret api key not provided"
}{
"code": "FORBIDDEN",
"message": "invalid secret api key"
}{
"code": "RATE_LIMITED",
"message": "Rate limit exceeded, try again shortly."
}{
"code": "INTERNAL_ERROR",
"message": "Internal Server Error"
}Wallets
List Wallets
List wallets with optional filters and cursor-based pagination.
GET
/
v1
/
wallets
List Wallets
Authorizations
Your partner secret key (server-side only)
Headers
UUID for request tracing. Para returns one if omitted.
Query Parameters
Maximum number of items to return (1-100)
Required range:
1 <= x <= 100Opaque cursor for pagination. Use the value from a previous response's pagination.cursor field.
Filter by user identifier. Must be supplied with userIdentifierType.
Example:
"alice@example.com"
Type of user identifier. Must be supplied with userIdentifier.
Available options:
EMAIL, PHONE, CUSTOM_ID, GUEST_ID, DISCORD, TWITTER, TELEGRAM, FARCASTER Filter by blockchain network type
Available options:
EVM, SOLANA, COSMOS, STELLAR, SUI Filter by readiness fields. ready requires both key generation and share persistence to be complete; creating requires both to be incomplete.
Available options:
creating, ready Filter by on-chain wallet address